package com.ssyf.common.web.apicode;


/**
 * 服务器接口编码常量
 *
 * @author huwei
 * @date 2022/7/5 17:02
 */
public enum ApiCodeServer implements IApiCode {
    /**
     * 系统执行出错
     */
    ERROR("B0001", "系统执行出错"),

    /**
     * 系统执行超时
     */
    TIMEOUT("B0100", "系统执行超时"),

    /**
     * 系统订单处理超时
     */
    ORDER_TIMEOUT("B0101", "系统订单处理超时");

    private String code;
    private String message;

    ApiCodeServer(String code, String message) {
        this.code = code;
        this.message = message;

    }

    @Override
    public String getCode() {
        return this.code;

    }

    @Override
    public String getMessage() {
        return this.message;
    }
}
